
/* ep128emu -- portable Enterprise 128 emulator                              */
/* Copyright (C) 2003, 2004, 2005 Istvan Varga <istvan_v@mailbox.hu>         */
/* http://ep128emu.sourceforge.net/index.html                                */
/*                                                                           */
/* This program is free software; you can redistribute it and/or modify      */
/* it under the terms of the GNU General Public License as published by      */
/* the Free Software Foundation; either version 2 of the License, or         */
/* (at your option) any later version.                                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

#ifndef EP128_NICK_H
#define EP128_NICK_H

#include <stdio.h>
#include <stdint.h>

/* reset video subsystem */

void nick_reset(void);

/* write video register */

void nick_register_write(uint16_t address, uint8_t value);

/* convert time value (in seconds) to number of lines * 16777216 */

int time_to_nlines(double timeval);

/* draw the specified number of lines / 16777216 */

void nick_draw_lines(int nlines);

/* return the size of video snapshot data (in bytes) for snapshot file */
/* version 'file_version' */

int nick_snapshot_bytes(int file_version);

/* save video snapshot to file 'f' */
/* returns zero in case of success */

int save_nick_snapshot(FILE *f);

/* load video snapshot from file 'f', using file format */
/* specified by 'file_version'. Returns zero in case of success. */

int load_nick_snapshot(FILE *f, int file_version);

#endif      /* EP128_NICK_H */

